Bug 146733 - system-config-bind %postinstall ends with %doc ?!?
system-config-bind %postinstall ends with %doc ?!?
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
: 150011 (view as bug list)
Depends On:
Blocks: FC4Blocker
  Show dependency treegraph
Reported: 2005-01-31 21:48 EST by Alexandre Oliva
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.0.0-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-27 08:34:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2005-01-31 21:48:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Installing system-config-bind prints an odd error such as:

fg: no job control

(quoted from memory).  As it turns out, this is caused by the
%postinstall scriptlet, that ends with %doc, and certainly shouldn't.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install system-config-bind-4.0.0-3

Additional info:

As a result of the failure in the postinstall script, a
previously-installed version of system-config-bind won't be
uninstalled in an update.
Comment 1 Jason Vas Dias 2005-02-01 13:33:01 EST
Yes, I know - a missing new line. 
This problem has no effect on system-config-bind's functionality
or operation - it still works fine with this problem.
This will be fixed in the next version: system-config-bind-4.0.0-4,
which I will be releasing by Friday (2005-02-04). 
Comment 2 Joe Orton 2005-02-09 15:20:03 EST
This bug is still present in the Raw Hide package.

Installing system-config-bind-4.0.0-3.noarch.
/var/tmp/rpm-tmp.43199: line 11: fg: no job control
error: %post(system-config-bind-4.0.0-3.noarch) scriptlet failed, exit
status 1

Comment 3 Alexandre Oliva 2005-02-23 12:45:06 EST
Any news on this one?  system-config-bind-4.0.0-3 is still the latest
on rawhide, and it still has the problem.
Comment 4 Jason Vas Dias 2005-02-23 13:02:56 EST
I'm hoping to get time to finish off system-config-bind this week,
with support for all the 'todo' record types & options (mainly
dnssec stuff), the html manual, and the fix for this bug. Can it
wait til then ? Both installation and upgrade do leave a working
system-config-bind in place.
Comment 5 Miloslav Trmač 2005-04-27 08:32:27 EDT
*** Bug 150011 has been marked as a duplicate of this bug. ***
Comment 6 Jason Vas Dias 2005-04-27 11:12:18 EDT
This bug was fixed in version 4.0.0-4 

Note You need to log in before you can comment on or make changes to this bug.